Package com.xebialabs.xlrelease.domain

## Class Category

- java.lang.Object
- - com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem
  - - com.xebialabs.xlrelease.domain.Category

- All Implemented Interfaces:
    `ConfigurationItem`, `java.io.Serializable`, `java.lang.Comparable<BaseConfigurationItem>`

      @Metadata(root=CONFIGURATION,
                versioned=false)
      public class Category
      extends BaseConfigurationItem

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

      `id, syntheticProperties, type`

    - ### Fields inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

      `SYNTHETIC_PROPERTIES_FIELD, TYPE_FIELD`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Category()` |
    `Category​(java.lang.String title, boolean active)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Boolean` | `getActive()` |
    `java.lang.Integer` | `getCiUid()` |
    `java.lang.String` | `getTitle()` |
    `static java.lang.String` | `sanitizeTitle​(java.lang.String title)` |
    `static java.util.Set<java.lang.String>` | `sanitizeTitles​(java.util.Set<java.lang.String> titles)` |
    `void` | `setActive​(boolean active)` |
    `void` | `setCiUid​(java.lang.Integer ciUid)` |
    `void` | `setTitle​(java.lang.String title)` |

    - ### Methods inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

      `compareTo, equals, get$ciAttributes, get$directoryReference, get$externalProperties, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$token, get$validationMessages, getId, getName, getProperty, getPropertyDescriptor, getType, hashCode, hasProperty, set$ciAttributes, set$directoryReference, set$externalProperties, set$internalId, set$referenceId, set$securedCi, set$securedDirectoryReference, set$token, set$validationMessages, setId, setProperty, setType, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Category

          public Category()

    - #### Category

          public Category​(java.lang.String title,
                          boolean active)

  - ### Method Detail

    - #### getCiUid

          public java.lang.Integer getCiUid()

    - #### setCiUid

          public void setCiUid​(java.lang.Integer ciUid)

    - #### getTitle

          public java.lang.String getTitle()

    - #### setTitle

          public void setTitle​(java.lang.String title)

    - #### getActive

          public java.lang.Boolean getActive()

    - #### setActive

          public void setActive​(boolean active)

    - #### sanitizeTitle

          public static java.lang.String sanitizeTitle​(java.lang.String title)

    - #### sanitizeTitles

          public static java.util.Set<java.lang.String> sanitizeTitles​(java.util.Set<java.lang.String> titles)